# EXSLT for 4Suite

Uche Ogbuji (Fourthought, Inc.)
Revision (Initial release) [UO]

1. | [No title]
2. | Implemented modules

2.1. | Common
2.2. | Functions
2.3. | Sets
2.4. | Maths

###

EXSLT is a set of extensions functions that implements modules of the EXSLT community standard extensions for XSLT. 4XSLT has support for the EXSLT extensions built in, and this document provides an overview of the support.

### Implemented modules

See the EXSLT home page for proper documentation of the implemented extension elements and functions.

#### Common

The common module has extension namespace `http://exslt.org/common`. An example prefix for it is `exslt`. Note that ft:node-set is deprecated in favor of exslt:node-set, and that ft:write-file is deprecated in favor of exslt:document.

extension elements:

- document

extension functions:

- node-set
- object-type

#### Functions

The functions module has extension namespace `http://exslt.org/functions`. An example prefix for it is `func`.

extension elements:

- function
- result

#### Sets

The sets module has extension namespace `http://exslt.org/sets`. An example prefix for it is `set`.

extension functions:

- difference
- has-same-node
- intersection
- leading
- following
- distinct

#### Maths

The maths module has extension namespace `http://exslt.org/math`. An example prefix for it is `math`.

extension functions:

- max
- min
- lowest
- highest